## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/libkeepass/pykeepass

Name:           python-pykeepass
Version:        4.1.0
%forgemeta
Release:        %autorelease
Epoch:          1
Summary:        Python library to interact with keepass databases

# The entire source is GPL-3.0-only, except:
#
# MIT:
#   pykeepass/kdbx_parsing/twofish.py
License:        GPL-3.0-only AND MIT
URL:            %{forgeurl}
# The GitHub archive has tests; the PyPI sdist does not.
%global srcversion %{gsub %{version} \.post -post}
%dnl Source:         %{url}/archive/v%{srcversion}/pykeepass-%{srcversion}.tar.gz
Source0:        %{forgesource}

BuildArch:      noarch
 
BuildRequires:  python3-devel

%global common_description %{expand:
This library allows you to write entries to a KeePass database.}

%description %{common_description}


%package -n     python3-pykeepass
Summary:        %{summary}
 
%description -n python3-pykeepass %{common_description}


%prep
%dnl %autosetup -n pykeepass-%{srcversion}
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l pykeepass


%check
# This is worthwhile even though we run the tests; tests did not catch a
# missing pykeepass.kdbx_parsing package in the 4.0.7 release, but an import
# check would have.
%pyproject_check_import

%{python3} -m unittest discover -s tests -v


%files -n python3-pykeepass -f %{pyproject_files}
%doc CHANGELOG.rst
%doc README.rst


%changelog
## START: Generated by rpmautospec
* Sat Jun 29 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 1:4.1.0-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
